<template>
  <div>
    <div
      id="1"
      class="suggestion-notification"
      v-if="checkForNew.length">
      <p v-show="checkForNew.length != 1">You have {{ suggestions.length }} new suggestions in the Suggestion Box.</p>
      <p v-show="checkForNew.length == 1">You have 1 new suggestion in the Suggestion Box.</p>
      <router-link
        class="go-to-suggestion-box"
        :to="{name: 'townehallsuggestion'}">View Suggestions &raquo;
      </router-link>
    </div>
    <div
      id="1"
      class="suggestion-notification"
      v-else>
      <p>You have no new suggestions!</p>
    </div>

  </div>
</template>

<script>
export default {
  props: {
    suggestions: Array
  },
  computed: {
    checkForNew: function () {
      return this.suggestions.filter(function (suggestion) {
       return suggestion.isViewed === false;
      })
    }
  }
}
</script>

